summary refs log tree commit diff
path: root/pkgs/development/tools/misc/patchelf/setup-hook.sh
diff options
context:
space:
mode:
Diffstat (limited to 'pkgs/development/tools/misc/patchelf/setup-hook.sh')
-rw-r--r--pkgs/development/tools/misc/patchelf/setup-hook.sh2
1 files changed, 2 insertions, 0 deletions
diff --git a/pkgs/development/tools/misc/patchelf/setup-hook.sh b/pkgs/development/tools/misc/patchelf/setup-hook.sh
index 563ef57fce1..bc1cddd4879 100644
--- a/pkgs/development/tools/misc/patchelf/setup-hook.sh
+++ b/pkgs/development/tools/misc/patchelf/setup-hook.sh
@@ -6,6 +6,8 @@ fixupOutputHooks+=('if [ -z "$dontPatchELF" ]; then patchELF "$prefix"; fi')
 
 patchELF() {
     local dir="$1"
+    [ -e "$dir" ] || return 0
+
     header "shrinking RPATHs of ELF executables and libraries in $dir"
 
     local i